[
  {
    "description": "",
    "elements": [
      {
        "description": "",
        "id": "configuración-de-private-site;usuario-se-loguea-exitosamente,-hace-que-el-sitio-sea-privado-sin-password-y-luego-hace-logout",
        "keyword": "Scenario",
        "line": 4,
        "name": "Usuario se loguea exitosamente, hace que el sitio sea privado sin password y luego hace logout",
        "steps": [
          {
            "keyword": "Before",
            "hidden": true,
            "result": {
              "status": "passed",
              "duration": 13757000000
            }
          },
          {
            "arguments": [],
            "keyword": "Given ",
            "line": 5,
            "name": "I navigate to page \"http://localhost:2368/ghost/#/signin\"",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/web.js:41"
            },
            "result": {
              "status": "passed",
              "duration": 3604000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 37708 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "When ",
            "line": 6,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 1271000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 45680 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 7,
            "name": "I enter \"<ADMIN_EMAIL>\" into element \"#identification\"",
            "match": {
              "location": "features/web/step_definitions/step.js:8"
            },
            "result": {
              "status": "passed",
              "duration": 4084000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 47852 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 8,
            "name": "I enter \"<ADMIN_PASSWORD>\" into element \"#password\"",
            "match": {
              "location": "features/web/step_definitions/step.js:8"
            },
            "result": {
              "status": "passed",
              "duration": 3213000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 47984 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 9,
            "name": "I click element \"button[type='submit']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 1339000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 47768 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "When ",
            "line": 10,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 2630000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 90788 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "Then ",
            "line": 11,
            "name": "I should be on the \"http://localhost:2368/ghost/#/dashboard\" page",
            "match": {
              "location": "features/web/step_definitions/step.js:38"
            },
            "result": {
              "status": "passed",
              "duration": 691000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 90864 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 12,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 3960000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 91100 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "When ",
            "line": 14,
            "name": "I navigate to page \"http://localhost:2368/ghost/#/settings/locksite\"",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/web.js:41"
            },
            "result": {
              "status": "passed",
              "duration": 1516000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 15912 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 15,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 6796000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 80716 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 16,
            "name": "I click element \"//div[@data-testid='locksite']//button[normalize-space()='Edit']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 3654000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 87156 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 17,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 2390000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 87156 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 18,
            "name": "I click element \"//div[@data-testid='locksite']//*[@role='switch']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 3471000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 88472 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 19,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 5343000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 88472 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 20,
            "name": "I click element \"//div[@data-testid='locksite']//button[normalize-space()='Save']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 4638000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 90356 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 21,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 5090000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 90368 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "Then ",
            "line": 22,
            "name": "I should see \"Enter a password\" in element \"//div[@data-testid='locksite']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:24"
            },
            "result": {
              "status": "passed",
              "duration": 353000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 90368 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 23,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 5289000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 90368 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 24,
            "name": "I click element \"//div[@data-testid='locksite']//button[normalize-space()='Cancel']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 3219000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 80944 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 25,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 3531000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 80944 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 26,
            "name": "I click element \"//*[@data-testid='exit-settings']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 1370000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 80944 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 27,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 529000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 90776 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "When ",
            "line": 29,
            "name": "I click element \".gh-user-avatar\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 1444000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 105032 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 30,
            "name": "I click element \".user-menu-signout\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 616000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 15768 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 31,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 4140000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 45680 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "Then ",
            "line": 32,
            "name": "I should be on the \"http://localhost:2368/ghost/#/signin\" page",
            "match": {
              "location": "features/web/step_definitions/step.js:38"
            },
            "result": {
              "status": "passed",
              "duration": 782000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 45680 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "keyword": "After",
            "hidden": true,
            "result": {
              "status": "passed",
              "duration": 3855000000
            }
          }
        ],
        "tags": [
          {
            "name": "@user15",
            "line": 3
          },
          {
            "name": "@web",
            "line": 3
          }
        ],
        "type": "scenario"
      }
    ],
    "id": "configuración-de-private-site",
    "line": 1,
    "keyword": "Feature",
    "name": "Configuración de Private Site",
    "tags": [],
    "uri": "features/07-site_private_nopassword_admin.feature"
  }
]